<?php

namespace Ems\portalGestor\Util;

use Zeedhi\Framework\Remote\FileUploader\Server;
use Zeedhi\Framework\DependencyInjection\InstanceManager;

class Utilities {

    private const PRODUCT_ID = '4755';

    public static function getProductBasePath($isModulePath = false) {
        if(strpos(__DIR__, 'modules') === false || $isModulePath) {
            return explode('backend', __DIR__)[0];
        }
        return explode('modules', __DIR__)[0];
    }

    public static function getTokenLifeTimeParameter() {
        return InstanceManager::getInstance()->getParameter('tokenLifeTime');
    }

    public static function getProductId() {
        return self::PRODUCT_ID;
    }
}
